Subject: bug#12806: 24.3.50; Dead keys misbehavior when scroll-lock is enabled

From: Juanma Barranquero <[email-masked]>
Date: Tue, 6 Nov 2012 16:42:50 +0100

On Mon, Nov 5, 2012 at 8:54 PM, Dani Moncayo <[email-masked]> wrote:

> 1. Enable scroll-lock (I can't do this while the Emacs frame has the
> focus - I have to select another application before).

BTW, this is because w32-scroll-lock-modifier defaults to nil, which
means that the scroll-lock key is not a modifier (hyper, meta, etc.)
and it's passed to Emacs (you could assign an interactive function to
<scroll>). If you set w32-scroll-lock-modifier to t it will be passed
to Windows and it will work as expected.

> I observe that:
> * What gets inserted is a plain "a" (without the accent).
> * The dead key has no effect over the "a" nor the following letters I
> type, until I type an <SPC>: at that moment, an "´" is inserted
> instead.

And BTW(2), this does not happen in emacs -Q -nw.

    Juanma